import Mock from "mockjs";

Mock.mock(/\/api\/admin\/exam\/save/, "post", {
  updateTime: 1,
});
Mock.mock(/\/api\/admin\/exam\/config\/info/, "post", {
  examId: 1,
  //卷型条码内容
  paperTypeBarcodeContent: [],
  //图片抽查比例
  imageCheckRatio: 5,
  //图片抽查顺序
  imageCheckOrder: "DESC", // DESC,ASC
  //是否开启实时审核
  enableSyncVerify: true,
  //人工绑定锁屏数量
  scannerAssignedMaxCount: 5,
  //人工绑定解锁密码
  scannerAssignedVerifyPassword: "",
});
Mock.mock(/\/api\/admin\/exam\/config\/save/, "post", {
  updateTime: 1,
});

Mock.mock(/\/api\/admin\/user\/page/, "post", {
  result: [
    {
      id: 1,
      loginName: "aaa",
      role: "SCHOOL_ADMIN",
      roleName: "管理员a",
      enable: true, //启用禁用
    },
    {
      id: 2,
      loginName: "bbb",
      role: "SCHOOL_ADMIN",
      roleName: "管理员b",
      enable: false, //启用禁用
    },
    {
      id: 3,
      loginName: "ccc",
      role: "AUDITOR",
      roleName: "审核员",
      enable: false, //启用禁用
    },
  ],
  totalCount: 3,
  pageCount: 1,
});
Mock.mock(/\/api\/admin\/user\/toggle/, "post", {
  updateTime: 1,
});
Mock.mock(/\/api\/admin\/user\/save/, "post", {
  updateTime: 1,
});
Mock.mock(/\/api\/admin\/user\/password\/reset/, "post", {
  updateTime: 1,
});
Mock.mock(/\/api\/admin\/card\/page/, "post", {
  result: [
    {
      examId: 1,
      number: 666,
      subjectCode: 1,
      subjectName: "某科目名称",
      parameter: "{a:123}",
      paperCount: 2,
      remark: "这是一串备注",
      updateTime: 1726724528841,
      url: "https://www.baidu.com",
    },
  ],
  totalCount: 3,
  pageCount: 1,
});
Mock.mock(/\/api\/admin\/card\/delete/, "post", {
  updateTime: 1,
});
Mock.mock(/\/api\/admin\/student\/count/, "post", [
  {
    subjectCode: 1,
    subjectName: "科目1",
    studentCount: 1,
  },
  {
    subjectCode: 2,
    subjectName: "科目2",
    studentCount: 10,
  },
  {
    subjectCode: 3,
    subjectName: "科目3",
    studentCount: 5,
  },
]);
